PMEMPOOL-SYNC(1)

NAME

pmempool-sync - Synchronize replicas or their parts within a pool set.

SYNOPSIS

    pmempool sync [options] <poolset_file>

NOTE: Only the pool set file used to create the pool should be used for syncing the pool.

DESCRIPTION

The pmempool sync command synchronizes data between replicas within a pool set. It checks if metadata of all replicas in a pool set are consistent, i.e. all parts are healthy, and if any of them is not, the corrupted or missing parts are recreated and filled with data from one of the healthy replicas. Currently synchronizing data is allowed only for pmemobj pools (see libpmemobj(7)).

If a pool set has the option SINGLEHDR or NOHDRS (see poolset(5)), pmempool sync command has limited capability of checking its metadata. This is due to limited or no, respectively, internal metadata at the beginning of pool set parts in every replica when either of the options is used. In that cases, only missing parts or the ones which cannot be opened are recreated.

  Available options:

-d, --dry-run
    Enable dry run mode. In this mode no changes are applied, only check for viability of synchronization.

-v, --verbose
    Increase verbosity level.

-h, --help
    Display help message and exit.

SEE ALSO

pmempool(1), libpmemblk(7), libpmemlog(7), libpmempool(7) and <http://pmem.io>